# Uses of Class
org.apache.lucene.index.MergeScheduler

Packages that use MergeScheduler
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of MergeScheduler in org.apache.lucene.index

  Subclasses of MergeScheduler in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `class`
  `ConcurrentMergeScheduler`
  A `MergeScheduler` that runs each merge using a separate thread.
  `final class`
  `NoMergeScheduler`
  A `MergeScheduler` which never executes any merges.
  `class`
  `SerialMergeScheduler`
  A `MergeScheduler` that simply does each merge sequentially, using the current thread.
  Fields in org.apache.lucene.index declared as MergeScheduler
  Modifier and Type
  Field
  Description
  `static final MergeScheduler`
  NoMergeScheduler.`INSTANCE`
  The single instance of `NoMergeScheduler`
  `protected MergeScheduler`
  LiveIndexWriterConfig.`mergeScheduler`
  `MergeScheduler` to use for running merges.
  Methods in org.apache.lucene.index that return MergeScheduler
  Modifier and Type
  Method
  Description
  `MergeScheduler`
  NoMergeScheduler.`clone()`
  `MergeScheduler`
  IndexWriterConfig.`getMergeScheduler()`
  `MergeScheduler`
  LiveIndexWriterConfig.`getMergeScheduler()`
  Returns the `MergeScheduler` that was set by `IndexWriterConfig.setMergeScheduler(MergeScheduler)`.
  Methods in org.apache.lucene.index with parameters of type MergeScheduler
  Modifier and Type
  Method
  Description
  `IndexWriterConfig`
  IndexWriterConfig.`setMergeScheduler(MergeScheduler mergeScheduler)`
  Expert: sets the merge scheduler used by this writer.